7.4. 偽造ソースアドレス
7.4. 偽造ソースアドレス
データグラム内のソースアドレスを偽造することにより、攻撃者は別のホストに属するチャネル上でデータグラムを送信して、SSM サービスモデルを侵害する可能性がある。したがって、強力な認証を必要とするアプリケーションは、より高レイヤの認証メカニズムがなければ、チャネル上に到着するすべてのパケットが要求されたソースによって送信されたと想定すべきではない。たとえば、IPSEC 認証ヘッダ [RFC2401, RFC4301] を使用して SSM 送信のソースを認証してもよい。
マルチキャストにおける偽造ソースアドレスに対するある程度の保護はすでにかなり普及している。一般的に展開されている IP マルチキャストルーティングプロトコル [PIM-DM, PIM-SM, DVMRP] には、マルチキャストパケットがそのソースアドレスに対して期待されるインターフェースに到着したことを検証する「逆パス転送チェック」が組み込まれているためである。SSM に使用されるルーティングプロトコルは、このようなチェックを組み込むべきである(SHOULD)。
ソースルーティング [RFC791](緩やかおよび厳密な両方)は、ソースアドレスの偽造と組み合わせて、真のチャネルソースのなりすまし者が SSM チャネルにパケットを注入するために使用される可能性がある。SSM ルータは、デフォルトで SSM 宛先アドレスへのソースルーティングを許可しないべきである(SHOULD)。ルータはソースルーティングを許可する設定オプションを備えてもよい(MAY)。ネットワークのエッジでのソースアドレスフィルタリングなどのソース偽造防止メカニズムも強く推奨される。